/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SimplStateMachine.impl;

import SimplStateMachine.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class SimplStateMachineFactoryImpl extends EFactoryImpl implements SimplStateMachineFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static SimplStateMachineFactory init() {
		try {
			SimplStateMachineFactory theSimplStateMachineFactory = (SimplStateMachineFactory)EPackage.Registry.INSTANCE.getEFactory("platform:/resource/StateMachine/metaModels/StateMachineContract.ecore"); 
			if (theSimplStateMachineFactory != null) {
				return theSimplStateMachineFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new SimplStateMachineFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SimplStateMachineFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case SimplStateMachinePackage.STATE_MACHINE: return createStateMachine();
			case SimplStateMachinePackage.STATE: return createState();
			case SimplStateMachinePackage.COMPOSITE_STATE: return createCompositeState();
			case SimplStateMachinePackage.INITIAL_STATE: return createInitialState();
			case SimplStateMachinePackage.HISTORY_STATE: return createHistoryState();
			case SimplStateMachinePackage.TRANSITION: return createTransition();
			case SimplStateMachinePackage.EVENT: return createEvent();
			case SimplStateMachinePackage.CONTRACT_BASE: return createContractBase();
			case SimplStateMachinePackage.CONTRACT_OPERATION: return createContractOperation();
			case SimplStateMachinePackage.CONTRACT_PARAMETER: return createContractParameter();
			case SimplStateMachinePackage.CONTRACT_EVALUATION: return createContractEvaluation();
			case SimplStateMachinePackage.CONTRACT_ERROR: return createContractError();
			case SimplStateMachinePackage.CONTRACT_WARNING: return createContractWarning();
			case SimplStateMachinePackage.CONTRACT_CORRECT: return createContractCorrect();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StateMachine createStateMachine() {
		StateMachineImpl stateMachine = new StateMachineImpl();
		return stateMachine;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public State createState() {
		StateImpl state = new StateImpl();
		return state;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CompositeState createCompositeState() {
		CompositeStateImpl compositeState = new CompositeStateImpl();
		return compositeState;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InitialState createInitialState() {
		InitialStateImpl initialState = new InitialStateImpl();
		return initialState;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HistoryState createHistoryState() {
		HistoryStateImpl historyState = new HistoryStateImpl();
		return historyState;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Transition createTransition() {
		TransitionImpl transition = new TransitionImpl();
		return transition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Event createEvent() {
		EventImpl event = new EventImpl();
		return event;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractBase createContractBase() {
		ContractBaseImpl contractBase = new ContractBaseImpl();
		return contractBase;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractOperation createContractOperation() {
		ContractOperationImpl contractOperation = new ContractOperationImpl();
		return contractOperation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractParameter createContractParameter() {
		ContractParameterImpl contractParameter = new ContractParameterImpl();
		return contractParameter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractEvaluation createContractEvaluation() {
		ContractEvaluationImpl contractEvaluation = new ContractEvaluationImpl();
		return contractEvaluation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractError createContractError() {
		ContractErrorImpl contractError = new ContractErrorImpl();
		return contractError;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractWarning createContractWarning() {
		ContractWarningImpl contractWarning = new ContractWarningImpl();
		return contractWarning;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractCorrect createContractCorrect() {
		ContractCorrectImpl contractCorrect = new ContractCorrectImpl();
		return contractCorrect;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SimplStateMachinePackage getSimplStateMachinePackage() {
		return (SimplStateMachinePackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static SimplStateMachinePackage getPackage() {
		return SimplStateMachinePackage.eINSTANCE;
	}

} //SimplStateMachineFactoryImpl
